# syntax=docker/dockerfile:1
FROM python:3.8
RUN set -xe

# Clone the project from GitLab
# RUN git clone https://gitlab.com/cle.leroux/homekit.git
COPY . /electricity_exposer
# RUN cp /homekit/.python_hue /root/

# # Install Poetry
# RUN curl -sSL https://install.python-poetry.org | python3 -

# # Add Poetry to path
# ENV PATH="/root/.local/bin:$PATH"

# Install Python dependencies using Poetry
WORKDIR /electricity_exposer
RUN pip install -r requirements.txt

# Run the program using Poetry
CMD ["python", "main.py"]